Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.nl
Class DutchStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.nl.DutchStemFilter

    public final class DutchStemFilter

extends TokenFilter

A filter that stems Dutch words. It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a DutchStemmer).

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`DutchStemFilter(TokenStream _in)`
`DutchStemFilter(TokenStream _in, Set exclusiontable)` Builds a DutchStemFilter that uses an exclusion table.
`DutchStemFilter(TokenStream _in, Set exclusiontable, Map stemdictionary)`

Method Summary
`Token` | `next(Token reusableToken)` Returns the next token in the stream, or null at EOS.
`void` | `setExclusionTable(HashSet exclusiontable)` Set an alternative exclusion list for this filter.
`void` | `setStemDictionary(HashMap dict)` Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.
`void` | `setStemmer(DutchStemmer stemmer)` Set a alternative/custom DutchStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DutchStemFilter

    public DutchStemFilter(TokenStream _in)

### DutchStemFilter

    public DutchStemFilter(TokenStream _in,
                           Set exclusiontable)

  Builds a DutchStemFilter that uses an exclusion table.

### DutchStemFilter

    public DutchStemFilter(TokenStream _in,
                           Set exclusiontable,
                           Map stemdictionary)

Parameters:
  `stemdictionary` - Dictionary of word stem pairs, that overrule the algorithm

Method Detail

### next

    public Token next(Token reusableToken)
               throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. When possible, the input Token should be used as the returned Token (this gives fastest tokenization performance), but this is not required and a new Token may be returned. Callers may re-use a single Token instance for successive calls to this method.

  This implicitly defines a "contract" between consumers (callers of this method) and producers (implementations of this method that are the source for tokens):

  - A consumer must fully consume the previously returned Token before calling this method again.
  - A producer must call `Token.clear()` before setting the fields in it & returning it
  Also, the producer must make no assumptions about a Token after it has been returned: the caller may arbitrarily change it. If the producer needs to hold onto the token for subsequent calls, it must clone() it before storing it. Note that a `TokenFilter` is considered a consumer.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a Token that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(DutchStemmer stemmer)

  Set a alternative/custom DutchStemmer for this filter.

### setExclusionTable

    public void setExclusionTable(HashSet exclusiontable)

  Set an alternative exclusion list for this filter.

### setStemDictionary

    public void setStemDictionary(HashMap dict)

  Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.